Subject: CVS olicha: * Added NLS support with gnu gettext

From: FVWM CVS <[email-masked]>
Date: Thu, 28 Nov 2002 22:37:17 -0600

CVSROOT:	/home/cvs/fvwm
Module name:	fvwm
Changes by:	olicha	02/11/28 22:37:17

Modified files:
	.              : ChangeLog Makefile.am acconfig.h acinclude.m4 
	                 configure.in 
	bin            : ChangeLog fvwm-config.1 fvwm-config.in 
	fvwm           : ConfigFvwmSetup Makefile.am expand.c fvwm.c 
	                 virtual.c windowlist.c 
	libs           : Makefile.am 
	modules        : ChangeLog 
	modules/FvwmForm: FvwmForm-Setup.in 
	modules/FvwmTaskBar: FvwmTaskBar.c Goodies.c Makefile.am 
Added files:
	libs           : FGettext.c FGettext.h 
	po             : ChangeLog FvwmTaskBar.fr.gmo FvwmTaskBar.fr.po 
	                 FvwmTaskBar.pot Makefile.am README fvwm.fr.gmo 
	                 fvwm.fr.po fvwm.pot remove-potcdate.sed 
	                 remove-potcdate.sin 

Log message:
* Added NLS support with gnu gettext
* Mark some strings for fvwm and FvwmTaskBar
* Mark some strings in FvwmForm-Setup and ConfigFvwmSetup for experimentation
* New extanded variable $[gt.any_string]
* A French catalog
* See po/{ChangeLog,README} I've tried to remove the gettext strange
autoconf stuff
* I do not think we should try to found translators now. We should
be under "String" freeze for that. I do not think FvwmTaskBar.pot
will change, but I think that fvwm.pot will change (in particular the
"rc" part).

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]